## org.apache.myfaces.custom.swapimage
Class HtmlSwapImageTag

    java.lang.Object
      javax.faces.webapp.UIComponentTag
          org.apache.myfaces.taglib.UIComponentTagBase
              org.apache.myfaces.taglib.html.HtmlComponentTagBase
                  org.apache.myfaces.taglib.html.HtmlGraphicImageTagBase
                      org.apache.myfaces.taglib.html.ext.HtmlGraphicImageTag
                          org.apache.myfaces.custom.swapimage.HtmlSwapImageTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

public class HtmlSwapImageTag
extends HtmlGraphicImageTag

Version:
  $Revision: 264051 $ $Date: 2005-08-29 00:04:34 -0400 (Mon, 29 Aug 2005) $
Author:
  Thomas Spiegl

Field Summary

Fields inherited from class javax.faces.webapp.UIComponentTag
`pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`HtmlSwapImageTag()`

Method Summary
`java.lang.String` `getComponentType()`
`java.lang.String` `getRendererType()`
`void` `release()`
`void` `setActiveImageUrl(java.lang.String activeImageUrl)`
`void` `setOnmousedown(java.lang.String onmousedown)`
`void` `setOnmousemove(java.lang.String onmousemove)`
`void` `setOnmouseout(java.lang.String onmouseout)`
`void` `setOnmouseover(java.lang.String onmouseover)`
`void` `setOnmouseup(java.lang.String onmouseup)`
`protected void` `setProperties(javax.faces.component.UIComponent component)`
`void` `setSwapImageUrl(java.lang.String swapImageUrl)`

Methods inherited from class org.apache.myfaces.taglib.html.ext.HtmlGraphicImageTag
`setAlign, setBorder, setEnabledOnUserRole, setHspace, setVisibleOnUserRole, setVspace`

Methods inherited from class org.apache.myfaces.taglib.html.HtmlGraphicImageTagBase
`setAlt, setHeight, setIsmap, setLongdesc, setOnblur, setOnchange, setOnfocus, setUrl, setUsemap, setWidth`

Methods inherited from class org.apache.myfaces.taglib.html.HtmlComponentTagBase
`setDir, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setStyle, setStyleClass, setTitle`

Methods inherited from class org.apache.myfaces.taglib.UIComponentTagBase
`setActionListenerProperty, setActionProperty, setBooleanProperty, setConverter, setForceId, setForceIdIndex, setImageLocation, setIntegerProperty, setJavascriptLocation, setStringProperty, setStyleLocation, setValidatorProperty, setValue, setValueBinding, setValueChangedListenerProperty`

Methods inherited from class javax.faces.webapp.UIComponentTag
`doEndTag, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getComponentInstance, getCreated, getDoEndValue, getDoStartValue, getFacesContext, getFacetName, getId, getParent, getParentUIComponentTag, isSuppressed, isValueReference, setBinding, setId, setPageContext, setParent, setRendered, setupResponseWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HtmlSwapImageTag

    public HtmlSwapImageTag()

Method Detail

### getComponentType

    public java.lang.String getComponentType()

  Overrides:
    `getComponentType` in class `HtmlGraphicImageTag`

### getRendererType

    public java.lang.String getRendererType()

  Overrides:
    `getRendererType` in class `HtmlGraphicImageTag`

### release

    public void release()

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `HtmlGraphicImageTag`

### setProperties

    protected void setProperties(javax.faces.component.UIComponent component)

  Overrides:
    `setProperties` in class `HtmlGraphicImageTag`

### setSwapImageUrl

    public void setSwapImageUrl(java.lang.String swapImageUrl)

### setActiveImageUrl

    public void setActiveImageUrl(java.lang.String activeImageUrl)

### setOnmouseover

    public void setOnmouseover(java.lang.String onmouseover)

  Overrides:
    `setOnmouseover` in class `HtmlComponentTagBase`

### setOnmousedown

    public void setOnmousedown(java.lang.String onmousedown)

  Overrides:
    `setOnmousedown` in class `HtmlComponentTagBase`

### setOnmouseup

    public void setOnmouseup(java.lang.String onmouseup)

  Overrides:
    `setOnmouseup` in class `HtmlComponentTagBase`

### setOnmousemove

    public void setOnmousemove(java.lang.String onmousemove)

  Overrides:
    `setOnmousemove` in class `HtmlComponentTagBase`

### setOnmouseout

    public void setOnmouseout(java.lang.String onmouseout)

  Overrides:
    `setOnmouseout` in class `HtmlComponentTagBase`